opencv: CvDTreeTrainData Struct Reference

Public Member Functions | Public Attributes

# CvDTreeTrainData Struct Reference

`#include <ml.hpp>`

Inheritance diagram for CvDTreeTrainData:

List of all members.

## Public Member Functions
virtual void | clear ()
| CvDTreeTrainData ()
| CvDTreeTrainData (const CvMat *trainData, int tflag, const CvMat *responses, const CvMat *varIdx=0, const CvMat *sampleIdx=0, const CvMat *varType=0, const CvMat *missingDataMask=0, const CvDTreeParams &params=CvDTreeParams(), bool _shared=false, bool _add_labels=false)
virtual void | do_responses_copy ()
virtual void | free_node (CvDTreeNode *node)
virtual void | free_node_data (CvDTreeNode *node)
virtual void | free_train_data ()
virtual const int * | get_cat_var_data (CvDTreeNode *n, int vi, int *cat_values_buf)
virtual int | get_child_buf_idx (CvDTreeNode *n)
virtual const int * | get_class_labels (CvDTreeNode *n, int *labels_buf)
virtual const int * | get_cv_labels (CvDTreeNode *n, int *labels_buf)
int | get_num_classes () const
virtual const float * | get_ord_responses (CvDTreeNode *n, float *values_buf, int *sample_indices_buf)
virtual void | get_ord_var_data (CvDTreeNode *n, int vi, float *ord_values_buf, int *sorted_indices_buf, const float **ord_values, const int **sorted_indices, int *sample_indices_buf)
virtual const int * | get_sample_indices (CvDTreeNode *n, int *indices_buf)
int | get_var_type (int vi) const
virtual void | get_vectors (const CvMat *_subsample_idx, float *values, uchar *missing, float *responses, bool get_class_idx=false)
int | get_work_var_count () const
virtual CvDTreeNode * | new_node (CvDTreeNode *parent, int count, int storage_idx, int offset)
virtual CvDTreeSplit * | new_split_cat (int vi, float quality)
virtual CvDTreeSplit * | new_split_ord (int vi, float cmp_val, int split_point, int inversed, float quality)
virtual void | read_params (CvFileStorage *fs, CvFileNode *node)
virtual void | set_data (const CvMat *trainData, int tflag, const CvMat *responses, const CvMat *varIdx=0, const CvMat *sampleIdx=0, const CvMat *varType=0, const CvMat *missingDataMask=0, const CvDTreeParams &params=CvDTreeParams(), bool _shared=false, bool _add_labels=false, bool _update_data=false)
virtual bool | set_params (const CvDTreeParams &params)
virtual CvDTreeNode * | subsample_data (const CvMat *_subsample_idx)
virtual void | write_params (CvFileStorage *fs) const
virtual | ~CvDTreeTrainData ()
## Public Attributes
CvMat * | buf
int | buf_count
int | buf_size
CvMat * | cat_count
CvMat * | cat_map
CvMat * | cat_ofs
int | cat_var_count
CvMat * | counts
CvSet * | cv_heap
CvDTreeNode * | data_root
CvMat * | direction
bool | have_labels
bool | have_priors
int | is_buf_16u
bool | is_classifier
int | max_c_count
CvSet * | node_heap
CvSet * | nv_heap
int | ord_var_count
CvDTreeParams | params
CvMat * | priors
CvMat * | priors_mult
const CvMat * | responses
CvMat * | responses_copy
cv::RNG * | rng
int | sample_count
bool | shared
CvMat * | split_buf
CvSet * | split_heap
CvMemStorage * | temp_storage
int | tflag
const CvMat * | train_data
CvMemStorage * | tree_storage
int | var_all
int | var_count
CvMat * | var_idx
CvMat * | var_type
int | work_var_count

## Constructor & Destructor Documentation

CvDTreeTrainData::CvDTreeTrainData | ( | ) |

CvDTreeTrainData::CvDTreeTrainData | ( | const CvMat * | trainData,
|  | int | tflag,
|  | const CvMat * | responses,
|  | const CvMat * | varIdx = `0`,
|  | const CvMat * | sampleIdx = `0`,
|  | const CvMat * | varType = `0`,
|  | const CvMat * | missingDataMask = `0`,
|  | const CvDTreeParams & | params = `CvDTreeParams()`,
|  | bool | _shared = `false`,
|  | bool | _add_labels = `false`
| ) |  |

virtual CvDTreeTrainData::~CvDTreeTrainData | ( | ) | `[virtual]`

## Member Function Documentation

virtual void CvDTreeTrainData::clear | ( | ) | `[virtual]`

virtual void CvDTreeTrainData::do_responses_copy | ( | ) | `[virtual]`

virtual void CvDTreeTrainData::free_node | ( | CvDTreeNode * | node ) | `[virtual]`

virtual void CvDTreeTrainData::free_node_data | ( | CvDTreeNode * | node ) | `[virtual]`

virtual void CvDTreeTrainData::free_train_data | ( | ) | `[virtual]`

virtual const int* CvDTreeTrainData::get_cat_var_data | ( | CvDTreeNode * | n,
|  | int | vi,
|  | int * | cat_values_buf
| ) |  | `[virtual]`

Reimplemented in CvERTreeTrainData.

virtual int CvDTreeTrainData::get_child_buf_idx | ( | CvDTreeNode * | n ) | `[virtual]`

virtual const int* CvDTreeTrainData::get_class_labels | ( | CvDTreeNode * | n,
|  | int * | labels_buf
| ) |  | `[virtual]`

virtual const int* CvDTreeTrainData::get_cv_labels | ( | CvDTreeNode * | n,
|  | int * | labels_buf
| ) |  | `[virtual]`

Reimplemented in CvERTreeTrainData.

int CvDTreeTrainData::get_num_classes | ( | ) | const

virtual const float* CvDTreeTrainData::get_ord_responses | ( | CvDTreeNode * | n,
|  | float * | values_buf,
|  | int * | sample_indices_buf
| ) |  | `[virtual]`

virtual void CvDTreeTrainData::get_ord_var_data | ( | CvDTreeNode * | n,
|  | int | vi,
|  | float * | ord_values_buf,
|  | int * | sorted_indices_buf,
|  | const float ** | ord_values,
|  | const int ** | sorted_indices,
|  | int * | sample_indices_buf
| ) |  | `[virtual]`

Reimplemented in CvERTreeTrainData.

virtual const int* CvDTreeTrainData::get_sample_indices | ( | CvDTreeNode * | n,
|  | int * | indices_buf
| ) |  | `[virtual]`

Reimplemented in CvERTreeTrainData.

int CvDTreeTrainData::get_var_type | ( | int | vi ) | const

virtual void CvDTreeTrainData::get_vectors | ( | const CvMat * | _subsample_idx,
|  | float * | values,
|  | uchar * | missing,
|  | float * | responses,
|  | bool | get_class_idx = `false`
| ) |  | `[virtual]`

Reimplemented in CvERTreeTrainData.

int CvDTreeTrainData::get_work_var_count | ( | ) | const`[inline]`

virtual CvDTreeNode* CvDTreeTrainData::new_node | ( | CvDTreeNode * | parent,
|  | int | count,
|  | int | storage_idx,
|  | int | offset
| ) |  | `[virtual]`

virtual CvDTreeSplit* CvDTreeTrainData::new_split_cat | ( | int | vi,
|  | float | quality
| ) |  | `[virtual]`

virtual CvDTreeSplit* CvDTreeTrainData::new_split_ord | ( | int | vi,
|  | float | cmp_val,
|  | int | split_point,
|  | int | inversed,
|  | float | quality
| ) |  | `[virtual]`

virtual void CvDTreeTrainData::read_params | ( | CvFileStorage * | fs,
|  | CvFileNode * | node
| ) |  | `[virtual]`

virtual void CvDTreeTrainData::set_data | ( | const CvMat * | trainData,
|  | int | tflag,
|  | const CvMat * | responses,
|  | const CvMat * | varIdx = `0`,
|  | const CvMat * | sampleIdx = `0`,
|  | const CvMat * | varType = `0`,
|  | const CvMat * | missingDataMask = `0`,
|  | const CvDTreeParams & | params = `CvDTreeParams()`,
|  | bool | _shared = `false`,
|  | bool | _add_labels = `false`,
|  | bool | _update_data = `false`
| ) |  | `[virtual]`

Reimplemented in CvERTreeTrainData.

virtual bool CvDTreeTrainData::set_params | ( | const CvDTreeParams & | params ) | `[virtual]`

virtual CvDTreeNode* CvDTreeTrainData::subsample_data | ( | const CvMat * | _subsample_idx ) | `[virtual]`

Reimplemented in CvERTreeTrainData.

virtual void CvDTreeTrainData::write_params | ( | CvFileStorage * | fs ) | const`[virtual]`

## Member Data Documentation

CvMat* CvDTreeTrainData::buf

int CvDTreeTrainData::buf_count

int CvDTreeTrainData::buf_size

CvMat* CvDTreeTrainData::cat_count

CvMat* CvDTreeTrainData::cat_map

CvMat* CvDTreeTrainData::cat_ofs

int CvDTreeTrainData::cat_var_count

CvMat* CvDTreeTrainData::counts

CvSet* CvDTreeTrainData::cv_heap

CvDTreeNode* CvDTreeTrainData::data_root

CvMat* CvDTreeTrainData::direction

bool CvDTreeTrainData::have_labels

bool CvDTreeTrainData::have_priors

int CvDTreeTrainData::is_buf_16u

bool CvDTreeTrainData::is_classifier

int CvDTreeTrainData::max_c_count

CvSet* CvDTreeTrainData::node_heap

CvSet* CvDTreeTrainData::nv_heap

int CvDTreeTrainData::ord_var_count

CvDTreeParams CvDTreeTrainData::params

CvMat* CvDTreeTrainData::priors

CvMat* CvDTreeTrainData::priors_mult

const CvMat* CvDTreeTrainData::responses

CvMat* CvDTreeTrainData::responses_copy

cv::RNG* CvDTreeTrainData::rng

int CvDTreeTrainData::sample_count

bool CvDTreeTrainData::shared

CvMat* CvDTreeTrainData::split_buf

CvSet* CvDTreeTrainData::split_heap

CvMemStorage* CvDTreeTrainData::temp_storage

int CvDTreeTrainData::tflag

const CvMat* CvDTreeTrainData::train_data

CvMemStorage* CvDTreeTrainData::tree_storage

int CvDTreeTrainData::var_all

int CvDTreeTrainData::var_count

CvMat* CvDTreeTrainData::var_idx

CvMat* CvDTreeTrainData::var_type

int CvDTreeTrainData::work_var_count

The documentation for this struct was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/ml/include/opencv2/ml/ml.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines